Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout2
Class TupleLoaderBase

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.TupleLoaderBase
              com.hp.hpl.jena.sdb.layout2.TupleLoaderBase

All Implemented Interfaces:
  TupleLoaderBasics, TupleLoader

Direct Known Subclasses:
  TupleLoaderHashBase, TupleLoaderIndexBase

    public abstract class TupleLoaderBase

extends TupleLoaderBase
implements TupleLoaderBasics

Nested Class Summary
`static class` | `TupleLoaderBase.PreparedNode`

Constructor Summary
`TupleLoaderBase(SDBConnection connection, TableDesc tableDesc, int chunkSize)`

Method Summary
`boolean` | `clearsOnCommit()`
`void` | `close()` This TupleLoader is done with.
`void` | `finish()` Notify the finish of a sequence of rows to load.
`int` | `getArity()`
`String` | `getClearTempNodes()`
`String` | `getClearTempTuples()`
`String` | `getCreateTempNodes()`
`String` | `getCreateTempTuples()`
`String` | `getInsertTempNodes()`
`String` | `getInsertTempTuples()`
`String` | `getLoadNodes()`
`String` | `getNodeLoader()` These are the SQL 'bits' we use to construct the loader statements
`String` | `getTupleLoader()`
`void` | `load(com.hp.hpl.jena.graph.Node... row)` Load a row - may not take place immediately but row object is free for reuse after calling this method.
`void` | `unload(com.hp.hpl.jena.graph.Node... row)` Remove a row - may not take place immediately but row object is free for reuse after calling this method.

Methods inherited from class com.hp.hpl.jena.sdb.store.TupleLoaderBase
`getTableDesc, getTableName, setTableDesc, start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.layout2.TupleLoaderBasics
`getCreateTempTable, getDeleteAllTuples, getDeleteTuples, getLoadTuples, getNodeColTypes, getTupleColType`

Constructor Detail

### TupleLoaderBase

    public TupleLoaderBase(SDBConnection connection,
                           TableDesc tableDesc,
                           int chunkSize)

Method Detail

### getArity

    public int getArity()

### load

    public void load(com.hp.hpl.jena.graph.Node... row)

  Description copied from interface: `TupleLoader`
  Load a row - may not take place immediately but row object is free for reuse after calling this method.

  Specified by:
    `load` in interface `TupleLoader`

### unload

    public void unload(com.hp.hpl.jena.graph.Node... row)

  Description copied from interface: `TupleLoader`
  Remove a row - may not take place immediately but row object is free for reuse after calling this method.

  Specified by:
    `unload` in interface `TupleLoader`

### finish

    public void finish()

  Description copied from interface: `TupleLoader`
  Notify the finish of a sequence of rows to load. All data will have been loaded by the time this returns

  Specified by:
    `finish` in interface `TupleLoader`
  Overrides:
    `finish` in class `TupleLoaderBase`

### close

    public void close()

  Description copied from interface: `TupleLoader`
  This TupleLoader is done with. Do not use a TupleLoader after calling close().

  Specified by:
    `close` in interface `TupleLoader`
  Overrides:
    `close` in class `TupleLoaderBase`

### getNodeLoader

    public String getNodeLoader()

  These are the SQL 'bits' we use to construct the loader statements

### getTupleLoader

    public String getTupleLoader()

### getCreateTempNodes

    public String getCreateTempNodes()

### getCreateTempTuples

    public String getCreateTempTuples()

### getInsertTempNodes

    public String getInsertTempNodes()

### getInsertTempTuples

    public String getInsertTempTuples()

### getLoadNodes

    public String getLoadNodes()

### getClearTempNodes

    public String getClearTempNodes()

  Specified by:
    `getClearTempNodes` in interface `TupleLoaderBasics`

### getClearTempTuples

    public String getClearTempTuples()

  Specified by:
    `getClearTempTuples` in interface `TupleLoaderBasics`

### clearsOnCommit

    public boolean clearsOnCommit()

  Specified by:
    `clearsOnCommit` in interface `TupleLoaderBasics`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.